Query message notification server IP
Updated
Retrieves message notification server IP addresses.
https://api.sd-rtn.com/v1/ncs/ipThe Agora message notification service notifies your server of Cloud Transcoding events through HTTPS requests. Agora dynamically adjusts the IP addresses of the message notification server. Call this endpoint regularly and update your firewall configuration whenever the addresses change.
Note
Query the IP addresses at least once every 24 hours and update your firewall whitelist automatically to avoid interruptions in notification delivery.
Request
- This endpoint has no path parameters or request body.
Response
-
If the returned status code is
200, the request was successful. Only theprimaryIPfield in the response body is relevant; the response header and all other fields can be ignored. -
If the returned status code is not
200, the request failed. See Response status codes for troubleshooting.
Response Body
application/json
Response schema
200application/jsonThe request succeeded and returned message notification server IP addresses.
Request examples
curl --request GET \ --url https://api.sd-rtn.com/v1/ncs/ip \ --header 'Authorization: Basic <credentials>'Response example
{ "data": { "service": { "hosts": [ { "primaryIP": "xxx.xxx.xxx.xxx" }, { "primaryIP": "xxx.xxx.xxx.xxx" } ] } }}